Mailinglist Archive: opensuse-updates (94 mails)

< Previous Next >
openSUSE-SU-2013:0123-1: moderate: gimp
openSUSE Security Update: gimp
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0123-1
Rating: moderate
References: #791372
Cross-References: CVE-2012-5576
Affected Products:
openSUSE 11.4/standard/i586/patchinfo.27
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


- Add gimp-CVE-2012-5576.patch: fix memory corruption
vulnerability when reading XWD files (bnc#791372,
bgo#687392, CVE-2012-5576).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4/standard/i586/patchinfo.27:

zypper in -t patch 2012-17

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4/standard/i586/patchinfo.27 (i586 x86_64):

gimp-2.6.11-13.62.1
gimp-branding-upstream-2.6.11-13.62.1
gimp-debuginfo-2.6.11-13.62.1
gimp-debugsource-2.6.11-13.62.1
gimp-devel-2.6.11-13.62.1
gimp-devel-debuginfo-2.6.11-13.62.1
gimp-help-browser-2.6.11-13.62.1
gimp-help-browser-debuginfo-2.6.11-13.62.1
gimp-module-hal-2.6.11-13.62.1
gimp-module-hal-debuginfo-2.6.11-13.62.1
gimp-plugins-python-2.6.11-13.62.1
gimp-plugins-python-debuginfo-2.6.11-13.62.1
libgimp-2_0-0-2.6.11-13.62.1
libgimp-2_0-0-debuginfo-2.6.11-13.62.1
libgimpui-2_0-0-2.6.11-13.62.1
libgimpui-2_0-0-debuginfo-2.6.11-13.62.1

- openSUSE 11.4/standard/i586/patchinfo.27 (x86_64):

libgimp-2_0-0-32bit-2.6.11-13.62.1
libgimp-2_0-0-debuginfo-32bit-2.6.11-13.62.1
libgimpui-2_0-0-32bit-2.6.11-13.62.1
libgimpui-2_0-0-debuginfo-32bit-2.6.11-13.62.1

- openSUSE 11.4/standard/i586/patchinfo.27 (noarch):

gimp-lang-2.6.11-13.62.1

- openSUSE 11.4/standard/i586/patchinfo.27 (ia64):

libgimp-2_0-0-debuginfo-x86-2.6.11-13.62.1
libgimp-2_0-0-x86-2.6.11-13.62.1
libgimpui-2_0-0-debuginfo-x86-2.6.11-13.62.1
libgimpui-2_0-0-x86-2.6.11-13.62.1


References:

http://support.novell.com/security/cve/CVE-2012-5576.html
https://bugzilla.novell.com/791372


< Previous Next >
This Thread
  • No further messages